%define upstream_name    MCE
%define upstream_version 1.897

%global __requires_exclude perl\\(PDL\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Many-Core Engine for Perl providing parallel processing capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MARIOROY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Path)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable) >= 2.40.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(constant)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Many-core Engine (MCE) for Perl helps enable a new level of performance by
maximizing all available cores. MCE spawns a pool of workers and therefore
does not fork a new process per each element of data. Instead, MCE follows
a bank queuing model. Imagine the line being the data and bank-tellers the
parallel workers. MCE enhances that model by adding the ability to chunk
the next n elements from the input stream to the next available worker.

Chunking and input data are optional in MCE. One may use MCE to run many
workers in parallel without specifying input data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jul 01 2024 tv <tv> 1.897.0-1.mga10
+ Revision: 2078666
- update to 1.897

* Tue Jun 18 2024 tv <tv> 1.896.0-1.mga10
+ Revision: 2074932
- update to 1.896

* Sat May 25 2024 tv <tv> 1.890.0-1.mga10
+ Revision: 2067547
- update to 1.890

* Mon Sep 18 2023 tv <tv> 1.889.0-1.mga10
+ Revision: 1987671
- update to 1.889

* Tue Aug 29 2023 tv <tv> 1.888.0-1.mga10
+ Revision: 1980989
- update to 1.888

* Mon Jan 09 2023 tv <tv> 1.884.0-1.mga9
+ Revision: 1931791
- update to 1.884

* Mon Dec 05 2022 tv <tv> 1.882.0-1.mga9
+ Revision: 1918101
- update to 1.882

* Sat Oct 15 2022 tv <tv> 1.881.0-1.mga9
+ Revision: 1896900
- update to 1.881

* Wed Oct 12 2022 tv <tv> 1.880.0-1.mga9
+ Revision: 1896423
- update to 1.880

* Thu May 26 2022 tv <tv> 1.879.0-1.mga9
+ Revision: 1860232
- update to 1.879

* Mon Mar 21 2022 umeabot <umeabot> 1.878.0-2.mga9
+ Revision: 1816378
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 1.878.0-1.mga9
+ Revision: 1784045
- update to 1.878

* Sat Dec 04 2021 tv <tv> 1.876.0-1.mga9
+ Revision: 1760681
- update to 1.876

* Wed Nov 17 2021 tv <tv> 1.875.0-1.mga9
+ Revision: 1757515
- update to 1.875

* Wed Aug 19 2020 tv <tv> 1.874.0-1.mga8
+ Revision: 1615754
- update to 1.874

* Sun Aug 02 2020 tv <tv> 1.873.0-1.mga8
+ Revision: 1610617
- update to 1.873

* Tue Jun 16 2020 tv <tv> 1.872.0-1.mga8
+ Revision: 1593543
- update to 1.872

* Tue May 12 2020 tv <tv> 1.868.0-1.mga8
+ Revision: 1583287
- update to 1.868

* Tue Feb 18 2020 umeabot <umeabot> 1.866.0-2.mga8
+ Revision: 1541466
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 1.866.0-1.mga8
+ Revision: 1489044
- update to 1.866

* Fri Dec 27 2019 tv <tv> 1.865.0-1.mga8
+ Revision: 1473878
- update to 1.865

* Thu Dec 05 2019 tv <tv> 1.864.0-1.mga8
+ Revision: 1464481
- update to 1.864

* Tue Nov 26 2019 tv <tv> 1.863.0-1.mga8
+ Revision: 1462976
- update to 1.863

* Sat Sep 21 2019 tv <tv> 1.862.0-1.mga8
+ Revision: 1444362
- update to 1.862

* Fri Sep 20 2019 tv <tv> 1.861.0-1.mga8
+ Revision: 1444009
- update to 1.861

* Thu Sep 12 2019 tv <tv> 1.850.0-1.mga8
+ Revision: 1439935
- update to 1.850

* Fri Sep 06 2019 tv <tv> 1.848.0-1.mga8
+ Revision: 1437904
- update to 1.848

* Wed Sep 04 2019 tv <tv> 1.847.0-1.mga8
+ Revision: 1437299
- update to 1.847

* Wed Aug 28 2019 tv <tv> 1.846.0-1.mga8
+ Revision: 1434688
- update to 1.846

* Sun Aug 25 2019 tv <tv> 1.844.0-1.mga8
+ Revision: 1431971
- update to 1.844

* Wed Jul 24 2019 tv <tv> 1.843.0-1.mga8
+ Revision: 1423701
- update to 1.843

* Mon Jul 22 2019 tv <tv> 1.842.0-1.mga8
+ Revision: 1423414
- update to 1.842

* Mon Jul 08 2019 tv <tv> 1.841.0-1.mga8
+ Revision: 1419628
- update to 1.841

* Thu Jan 24 2019 tv <tv> 1.838.0-1.mga7
+ Revision: 1360461
- update to 1.838

* Thu Sep 20 2018 umeabot <umeabot> 1.837.0-2.mga7
+ Revision: 1284524
- Mageia 7 Mass Rebuild

* Mon Aug 27 2018 tv <tv> 1.837.0-1.mga7
+ Revision: 1254847
- update to 1.837

* Tue Jun 26 2018 tv <tv> 1.836.0-1.mga7
+ Revision: 1239805
- update to 1.836

* Wed Mar 14 2018 tv <tv> 1.835.0-1.mga7
+ Revision: 1209279
- update to 1.835

* Wed Jan 24 2018 tv <tv> 1.834.0-1.mga7
+ Revision: 1196779
- update to 1.834

* Fri Dec 29 2017 tv <tv> 1.833.0-1.mga7
+ Revision: 1186944
- update to 1.833

* Thu Nov 23 2017 tv <tv> 1.832.0-1.mga7
+ Revision: 1178928
- update to 1.832

* Mon Oct 09 2017 tv <tv> 1.831.0-1.mga7
+ Revision: 1170532
- update to 1.831

* Tue Oct 03 2017 tv <tv> 1.830.0-2.mga7
+ Revision: 1165460
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 1.830.0-1.mga7
+ Revision: 1161826
- update to 1.830

* Sat Jul 22 2017 shlomif <shlomif> 1.829.0-1.mga7
+ Revision: 1128723
- update to 1.829

* Tue May 17 2016 shlomif <shlomif> 1.706.0-1.mga6
+ Revision: 1016577
- New version 1.706 + requires excludes + cleanups.

* Tue Mar 15 2016 shlomif <shlomif> 1.700.0-2.mga6
+ Revision: 990741
- Update the summary

* Sun Mar 13 2016 shlomif <shlomif> 1.700.0-1.mga6
+ Revision: 989825
- update to 1.700

* Thu Feb 18 2016 umeabot <umeabot> 1.608.0-2.mga6
+ Revision: 966456
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.608.0-1.mga6
+ Revision: 844542
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.515.0-2.mga5
+ Revision: 747565
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.515.0-1.mga5
+ Revision: 733742
- imported package perl-MCE

